# general info
NAME="libmp"
DESC="MatterLinux package management library"
VERSION="24.06"

# required files
FILES=("https://git.matterlinux.xyz/Matter/libmp/archive/${VERSION}.tar.gz")
HASHES=("a5f7e2115702b9588106e6c37bb2e0927df08a781037e57f7fafc4b433ffc304")

# install and build depends
DEPENDS=(
  "openssl" "libarchive" "libinih"
  "sqlite" "gpgme" "gettext"
)
BUILD=("gcc" "make")

PACKAGE(){
  tar xf "${VERSION}.tar.gz"
  cd "${NAME}"

  make

  install -Ddm755 "${ROOTDIR}/usr/lib"
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}"
}
